Bug 35086

Summary: [Qt][GTK] fast/xmlhttprequest/xmlhttprequest-nonexistent-file.html fails (DRT sideeffect)
Product: WebKit Reporter: Csaba Osztrogonác <ossy>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, commit-queue, eric, gustavo, kent.hansen, kkristof, laszlo.gombos, pnormand, webkit.review.bot
Priority: P3 Keywords: Gtk, LayoutTestFailure, Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: PC   
OS: All   
Attachments:
Description Flags
proposed fix
ossy: review-, ossy: commit-queue-
proposed fix none

Description Csaba Osztrogonác 2010-02-18 03:27:13 PST
fast/xmlhttprequest/xmlhttprequest-nonexistent-file.html fails 
on Qt buildbot from http://trac.webkit.org/changeset/54944 .

result: http://build.webkit.org/results/Qt%20Linux%20Release/r54948%20(7523)/results.html

fast/xmlhttprequest/xmlhttprequest-no-file-access.html is a 
new test introduced in r54944, which cause that fail. Both of
them pass if we run them in separated DRT, so it must be a 
DRT sideeffect problem.

You can reproduce it easily: 
$ WebKitTools/Scripts/run-webkit-tests fast/xmlhttprequest/xmlhttprequest-no-file-access.html fast/xmlhttprequest/xmlhttprequest-nonexistent-file.html
Comment 1 Csaba Osztrogonác 2010-02-18 04:01:50 PST
fast/xmlhttprequest/xmlhttprequest-no-file-access.html skipped by http://trac.webkit.org/changeset/54954 until fix.
Comment 2 Gustavo Noronha (kov) 2010-02-18 13:06:32 PST
Yep, we seem to also suffer from this.
Comment 3 Philippe Normand 2011-04-07 07:15:17 PDT
fast/xmlhttprequest/xmlhttprequest-no-file-access.html passes locally on GTK. I'll unskip it.
Comment 4 Csaba Osztrogonác 2011-04-12 05:34:54 PDT
I checked, the bug is still valid for Qt.
Comment 5 Kristóf Kosztyó 2011-04-19 06:43:42 PDT
Created attachment 90194 [details]
proposed fix
Comment 6 Laszlo Gombos 2011-04-19 06:46:15 PDT
Should the change include the Skipped file change as well ?
Comment 7 Csaba Osztrogonác 2011-04-19 06:46:39 PDT
Comment on attachment 90194 [details]
proposed fix

LGTM, r=me.
Comment 8 Csaba Osztrogonác 2011-04-19 06:48:39 PDT
(In reply to comment #6)
> Should the change include the Skipped file change as well ?

Ooops, yes.
Comment 9 Csaba Osztrogonác 2011-04-19 06:49:06 PDT
Comment on attachment 90194 [details]
proposed fix

We need to unskip the tests too.
Comment 10 Kristóf Kosztyó 2011-04-19 07:22:54 PDT
Created attachment 90199 [details]
proposed fix
Comment 11 Andreas Kling 2011-04-19 07:24:54 PDT
Comment on attachment 90199 [details]
proposed fix

Nice catch, r=me
Comment 12 WebKit Commit Bot 2011-04-19 09:01:32 PDT
Comment on attachment 90199 [details]
proposed fix

Clearing flags on attachment: 90199

Committed r84256: <http://trac.webkit.org/changeset/84256>
Comment 13 WebKit Commit Bot 2011-04-19 09:01:36 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 WebKit Review Bot 2011-04-19 10:41:55 PDT
http://trac.webkit.org/changeset/84256 might have broken Windows 7 Release (Tests)